public static final class CompositeHealthCheck.Builder extends GeneratedMessage.Builder<CompositeHealthCheck.Builder> implements CompositeHealthCheckOrBuilderRepresents a composite health check.
A composite health check resource specifies the health source resources and the health destination resource to which the aggregated health result from the health source resources is delivered.
Protobuf type google.cloud.compute.v1.CompositeHealthCheck
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > CompositeHealthCheck.BuilderImplements
CompositeHealthCheckOrBuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
addAllHealthSources(Iterable<String> values)
public CompositeHealthCheck.Builder addAllHealthSources(Iterable<String> values)URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.
repeated string health_sources = 397879509;
| Parameter | |
|---|---|
| Name | Description |
values |
Iterable<String>The healthSources to add. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
addHealthSources(String value)
public CompositeHealthCheck.Builder addHealthSources(String value)URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.
repeated string health_sources = 397879509;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe healthSources to add. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
addHealthSourcesBytes(ByteString value)
public CompositeHealthCheck.Builder addHealthSourcesBytes(ByteString value)URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.
repeated string health_sources = 397879509;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes of the healthSources to add. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
build()
public CompositeHealthCheck build()| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck |
|
buildPartial()
public CompositeHealthCheck buildPartial()| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck |
|
clear()
public CompositeHealthCheck.Builder clear()| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
|
clearCreationTimestamp()
public CompositeHealthCheck.Builder clearCreationTimestamp()Output only. [Output Only] Creation timestamp inRFC3339 text format.
optional string creation_timestamp = 30525366;
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
clearDescription()
public CompositeHealthCheck.Builder clearDescription()An optional description of this resource. Provide this property when you create the resource.
optional string description = 422937596;
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
clearFingerprint()
public CompositeHealthCheck.Builder clearFingerprint()Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a CompositeHealthCheck. An up-to-date fingerprint must be provided in order to patch the CompositeHealthCheck; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the CompositeHealthCheck.
optional string fingerprint = 234678500;
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
clearHealthDestination()
public CompositeHealthCheck.Builder clearHealthDestination()URL to the destination resource. Must be set. Must be aForwardingRule. The ForwardingRule must have load balancing scheme INTERNAL orINTERNAL_MANAGED and must be regional and in the same region as the CompositeHealthCheck (cross-region deployment forINTERNAL_MANAGED is not supported). Can be mutated.
optional string health_destination = 311098027;
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
clearHealthSources()
public CompositeHealthCheck.Builder clearHealthSources()URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.
repeated string health_sources = 397879509;
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
clearId()
public CompositeHealthCheck.Builder clearId()Output only. [Output Only] A unique identifier for this resource type. The server generates this identifier.
optional uint64 id = 3355;
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
clearKind()
public CompositeHealthCheck.Builder clearKind()Output only. [Output Only] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
clearName()
public CompositeHealthCheck.Builder clearName() Name of the resource. Provided by the client when the resource is created.
The name must be 1-63 characters long, and comply withRFC1035.
Specifically, the name must be 1-63 characters long and match the regular
expression a-z? which means the first
character must be a lowercase letter, and all following characters must
be a dash, lowercase letter, or digit, except the last character, which
cannot be a dash.
optional string name = 3373707;
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
clearRegion()
public CompositeHealthCheck.Builder clearRegion()Output only. [Output Only] URL of the region where the composite health check resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.
optional string region = 138946292;
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
clearSelfLink()
public CompositeHealthCheck.Builder clearSelfLink()Output only. [Output Only] Server-defined URL for the resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
clearSelfLinkWithId()
public CompositeHealthCheck.Builder clearSelfLinkWithId()Output only. [Output Only] Server-defined URL with id for the resource.
optional string self_link_with_id = 44520962;
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
getCreationTimestamp()
public String getCreationTimestamp()Output only. [Output Only] Creation timestamp inRFC3339 text format.
optional string creation_timestamp = 30525366;
| Returns | |
|---|---|
| Type | Description |
String |
The creationTimestamp. |
getCreationTimestampBytes()
public ByteString getCreationTimestampBytes()Output only. [Output Only] Creation timestamp inRFC3339 text format.
optional string creation_timestamp = 30525366;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for creationTimestamp. |
getDefaultInstanceForType()
public CompositeHealthCheck getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck |
|
getDescription()
public String getDescription()An optional description of this resource. Provide this property when you create the resource.
optional string description = 422937596;
| Returns | |
|---|---|
| Type | Description |
String |
The description. |
getDescriptionBytes()
public ByteString getDescriptionBytes()An optional description of this resource. Provide this property when you create the resource.
optional string description = 422937596;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for description. |
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getFingerprint()
public String getFingerprint()Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a CompositeHealthCheck. An up-to-date fingerprint must be provided in order to patch the CompositeHealthCheck; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the CompositeHealthCheck.
optional string fingerprint = 234678500;
| Returns | |
|---|---|
| Type | Description |
String |
The fingerprint. |
getFingerprintBytes()
public ByteString getFingerprintBytes()Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a CompositeHealthCheck. An up-to-date fingerprint must be provided in order to patch the CompositeHealthCheck; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the CompositeHealthCheck.
optional string fingerprint = 234678500;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for fingerprint. |
getHealthDestination()
public String getHealthDestination()URL to the destination resource. Must be set. Must be aForwardingRule. The ForwardingRule must have load balancing scheme INTERNAL orINTERNAL_MANAGED and must be regional and in the same region as the CompositeHealthCheck (cross-region deployment forINTERNAL_MANAGED is not supported). Can be mutated.
optional string health_destination = 311098027;
| Returns | |
|---|---|
| Type | Description |
String |
The healthDestination. |
getHealthDestinationBytes()
public ByteString getHealthDestinationBytes()URL to the destination resource. Must be set. Must be aForwardingRule. The ForwardingRule must have load balancing scheme INTERNAL orINTERNAL_MANAGED and must be regional and in the same region as the CompositeHealthCheck (cross-region deployment forINTERNAL_MANAGED is not supported). Can be mutated.
optional string health_destination = 311098027;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for healthDestination. |
getHealthSources(int index)
public String getHealthSources(int index)URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.
repeated string health_sources = 397879509;
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the element to return. |
| Returns | |
|---|---|
| Type | Description |
String |
The healthSources at the given index. |
getHealthSourcesBytes(int index)
public ByteString getHealthSourcesBytes(int index)URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.
repeated string health_sources = 397879509;
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the value to return. |
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes of the healthSources at the given index. |
getHealthSourcesCount()
public int getHealthSourcesCount()URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.
repeated string health_sources = 397879509;
| Returns | |
|---|---|
| Type | Description |
int |
The count of healthSources. |
getHealthSourcesList()
public ProtocolStringList getHealthSourcesList()URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.
repeated string health_sources = 397879509;
| Returns | |
|---|---|
| Type | Description |
ProtocolStringList |
A list containing the healthSources. |
getId()
public long getId()Output only. [Output Only] A unique identifier for this resource type. The server generates this identifier.
optional uint64 id = 3355;
| Returns | |
|---|---|
| Type | Description |
long |
The id. |
getKind()
public String getKind()Output only. [Output Only] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
String |
The kind. |
getKindBytes()
public ByteString getKindBytes()Output only. [Output Only] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for kind. |
getName()
public String getName() Name of the resource. Provided by the client when the resource is created.
The name must be 1-63 characters long, and comply withRFC1035.
Specifically, the name must be 1-63 characters long and match the regular
expression a-z? which means the first
character must be a lowercase letter, and all following characters must
be a dash, lowercase letter, or digit, except the last character, which
cannot be a dash.
optional string name = 3373707;
| Returns | |
|---|---|
| Type | Description |
String |
The name. |
getNameBytes()
public ByteString getNameBytes() Name of the resource. Provided by the client when the resource is created.
The name must be 1-63 characters long, and comply withRFC1035.
Specifically, the name must be 1-63 characters long and match the regular
expression a-z? which means the first
character must be a lowercase letter, and all following characters must
be a dash, lowercase letter, or digit, except the last character, which
cannot be a dash.
optional string name = 3373707;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for name. |
getRegion()
public String getRegion()Output only. [Output Only] URL of the region where the composite health check resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.
optional string region = 138946292;
| Returns | |
|---|---|
| Type | Description |
String |
The region. |
getRegionBytes()
public ByteString getRegionBytes()Output only. [Output Only] URL of the region where the composite health check resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.
optional string region = 138946292;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for region. |
getSelfLink()
public String getSelfLink()Output only. [Output Only] Server-defined URL for the resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
String |
The selfLink. |
getSelfLinkBytes()
public ByteString getSelfLinkBytes()Output only. [Output Only] Server-defined URL for the resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for selfLink. |
getSelfLinkWithId()
public String getSelfLinkWithId()Output only. [Output Only] Server-defined URL with id for the resource.
optional string self_link_with_id = 44520962;
| Returns | |
|---|---|
| Type | Description |
String |
The selfLinkWithId. |
getSelfLinkWithIdBytes()
public ByteString getSelfLinkWithIdBytes()Output only. [Output Only] Server-defined URL with id for the resource.
optional string self_link_with_id = 44520962;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for selfLinkWithId. |
hasCreationTimestamp()
public boolean hasCreationTimestamp()Output only. [Output Only] Creation timestamp inRFC3339 text format.
optional string creation_timestamp = 30525366;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the creationTimestamp field is set. |
hasDescription()
public boolean hasDescription()An optional description of this resource. Provide this property when you create the resource.
optional string description = 422937596;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the description field is set. |
hasFingerprint()
public boolean hasFingerprint()Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a CompositeHealthCheck. An up-to-date fingerprint must be provided in order to patch the CompositeHealthCheck; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the CompositeHealthCheck.
optional string fingerprint = 234678500;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the fingerprint field is set. |
hasHealthDestination()
public boolean hasHealthDestination()URL to the destination resource. Must be set. Must be aForwardingRule. The ForwardingRule must have load balancing scheme INTERNAL orINTERNAL_MANAGED and must be regional and in the same region as the CompositeHealthCheck (cross-region deployment forINTERNAL_MANAGED is not supported). Can be mutated.
optional string health_destination = 311098027;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the healthDestination field is set. |
hasId()
public boolean hasId()Output only. [Output Only] A unique identifier for this resource type. The server generates this identifier.
optional uint64 id = 3355;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the id field is set. |
hasKind()
public boolean hasKind()Output only. [Output Only] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the kind field is set. |
hasName()
public boolean hasName() Name of the resource. Provided by the client when the resource is created.
The name must be 1-63 characters long, and comply withRFC1035.
Specifically, the name must be 1-63 characters long and match the regular
expression a-z? which means the first
character must be a lowercase letter, and all following characters must
be a dash, lowercase letter, or digit, except the last character, which
cannot be a dash.
optional string name = 3373707;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the name field is set. |
hasRegion()
public boolean hasRegion()Output only. [Output Only] URL of the region where the composite health check resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.
optional string region = 138946292;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the region field is set. |
hasSelfLink()
public boolean hasSelfLink()Output only. [Output Only] Server-defined URL for the resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the selfLink field is set. |
hasSelfLinkWithId()
public boolean hasSelfLinkWithId()Output only. [Output Only] Server-defined URL with id for the resource.
optional string self_link_with_id = 44520962;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the selfLinkWithId field is set. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeFrom(CompositeHealthCheck other)
public CompositeHealthCheck.Builder mergeFrom(CompositeHealthCheck other)| Parameter | |
|---|---|
| Name | Description |
other |
CompositeHealthCheck |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public CompositeHealthCheck.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public CompositeHealthCheck.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
|
setCreationTimestamp(String value)
public CompositeHealthCheck.Builder setCreationTimestamp(String value)Output only. [Output Only] Creation timestamp inRFC3339 text format.
optional string creation_timestamp = 30525366;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe creationTimestamp to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
setCreationTimestampBytes(ByteString value)
public CompositeHealthCheck.Builder setCreationTimestampBytes(ByteString value)Output only. [Output Only] Creation timestamp inRFC3339 text format.
optional string creation_timestamp = 30525366;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for creationTimestamp to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
setDescription(String value)
public CompositeHealthCheck.Builder setDescription(String value)An optional description of this resource. Provide this property when you create the resource.
optional string description = 422937596;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe description to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
setDescriptionBytes(ByteString value)
public CompositeHealthCheck.Builder setDescriptionBytes(ByteString value)An optional description of this resource. Provide this property when you create the resource.
optional string description = 422937596;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for description to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
setFingerprint(String value)
public CompositeHealthCheck.Builder setFingerprint(String value)Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a CompositeHealthCheck. An up-to-date fingerprint must be provided in order to patch the CompositeHealthCheck; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the CompositeHealthCheck.
optional string fingerprint = 234678500;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe fingerprint to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
setFingerprintBytes(ByteString value)
public CompositeHealthCheck.Builder setFingerprintBytes(ByteString value)Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a CompositeHealthCheck. An up-to-date fingerprint must be provided in order to patch the CompositeHealthCheck; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the CompositeHealthCheck.
optional string fingerprint = 234678500;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for fingerprint to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
setHealthDestination(String value)
public CompositeHealthCheck.Builder setHealthDestination(String value)URL to the destination resource. Must be set. Must be aForwardingRule. The ForwardingRule must have load balancing scheme INTERNAL orINTERNAL_MANAGED and must be regional and in the same region as the CompositeHealthCheck (cross-region deployment forINTERNAL_MANAGED is not supported). Can be mutated.
optional string health_destination = 311098027;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe healthDestination to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
setHealthDestinationBytes(ByteString value)
public CompositeHealthCheck.Builder setHealthDestinationBytes(ByteString value)URL to the destination resource. Must be set. Must be aForwardingRule. The ForwardingRule must have load balancing scheme INTERNAL orINTERNAL_MANAGED and must be regional and in the same region as the CompositeHealthCheck (cross-region deployment forINTERNAL_MANAGED is not supported). Can be mutated.
optional string health_destination = 311098027;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for healthDestination to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
setHealthSources(int index, String value)
public CompositeHealthCheck.Builder setHealthSources(int index, String value)URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.
repeated string health_sources = 397879509;
| Parameters | |
|---|---|
| Name | Description |
index |
intThe index to set the value at. |
value |
StringThe healthSources to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
setId(long value)
public CompositeHealthCheck.Builder setId(long value)Output only. [Output Only] A unique identifier for this resource type. The server generates this identifier.
optional uint64 id = 3355;
| Parameter | |
|---|---|
| Name | Description |
value |
longThe id to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
setKind(String value)
public CompositeHealthCheck.Builder setKind(String value)Output only. [Output Only] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.
optional string kind = 3292052;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe kind to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
setKindBytes(ByteString value)
public CompositeHealthCheck.Builder setKindBytes(ByteString value)Output only. [Output Only] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.
optional string kind = 3292052;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for kind to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
setName(String value)
public CompositeHealthCheck.Builder setName(String value) Name of the resource. Provided by the client when the resource is created.
The name must be 1-63 characters long, and comply withRFC1035.
Specifically, the name must be 1-63 characters long and match the regular
expression a-z? which means the first
character must be a lowercase letter, and all following characters must
be a dash, lowercase letter, or digit, except the last character, which
cannot be a dash.
optional string name = 3373707;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe name to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
setNameBytes(ByteString value)
public CompositeHealthCheck.Builder setNameBytes(ByteString value) Name of the resource. Provided by the client when the resource is created.
The name must be 1-63 characters long, and comply withRFC1035.
Specifically, the name must be 1-63 characters long and match the regular
expression a-z? which means the first
character must be a lowercase letter, and all following characters must
be a dash, lowercase letter, or digit, except the last character, which
cannot be a dash.
optional string name = 3373707;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for name to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
setRegion(String value)
public CompositeHealthCheck.Builder setRegion(String value)Output only. [Output Only] URL of the region where the composite health check resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.
optional string region = 138946292;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe region to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
setRegionBytes(ByteString value)
public CompositeHealthCheck.Builder setRegionBytes(ByteString value)Output only. [Output Only] URL of the region where the composite health check resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.
optional string region = 138946292;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for region to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
setSelfLink(String value)
public CompositeHealthCheck.Builder setSelfLink(String value)Output only. [Output Only] Server-defined URL for the resource.
optional string self_link = 456214797;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe selfLink to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
setSelfLinkBytes(ByteString value)
public CompositeHealthCheck.Builder setSelfLinkBytes(ByteString value)Output only. [Output Only] Server-defined URL for the resource.
optional string self_link = 456214797;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for selfLink to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
setSelfLinkWithId(String value)
public CompositeHealthCheck.Builder setSelfLinkWithId(String value)Output only. [Output Only] Server-defined URL with id for the resource.
optional string self_link_with_id = 44520962;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe selfLinkWithId to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |
setSelfLinkWithIdBytes(ByteString value)
public CompositeHealthCheck.Builder setSelfLinkWithIdBytes(ByteString value)Output only. [Output Only] Server-defined URL with id for the resource.
optional string self_link_with_id = 44520962;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for selfLinkWithId to set. |
| Returns | |
|---|---|
| Type | Description |
CompositeHealthCheck.Builder |
This builder for chaining. |